GET api/userapi/user/current
Request Information
URI Parameters
None.
Body Parameters
None.
Response Information
Resource Description
UserViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| customer_name | string |
None. |
|
| has_operator_password | boolean |
None. |
|
| webapp_password | string |
Data type: Password Matching regular expression pattern: ^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[ !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~])[A-Za-z\d !"#$%&\'()*+,\-\.\/:;<=>?@\[\\\]^_`{|}~]{8,}$ |
|
| webapp_username | string |
Required |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| isFromWpf | boolean |
None. |
|
| sites | Collection of SiteViewModel |
None. |
|
| locks | Collection of LockViewModel |
None. |
|
| clearOperatorPassword | boolean |
None. |
|
| active | boolean |
Required |
|
| admin | boolean |
None. |
|
| badge_tag_id | string |
None. |
|
| cell_phone | string |
None. |
|
| customer_id | globally unique identifier |
None. |
|
| firstname | string |
None. |
|
| id | globally unique identifier |
None. |
|
| language_code | string |
Required |
|
| lastname | string |
None. |
|
| string |
None. |
||
| operator_code | string |
Required |
|
| operator_password | string |
Data type: Password |
|
| phone | string |
None. |
|
| webapp_password_last_update | date |
None. |
|
| role_id | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"customer_name": "sample string 1",
"has_operator_password": true,
"webapp_password": "sample string 3",
"webapp_username": "sample string 4",
"rights": [
{
"code": "sample string 1",
"id": "4e79e357-c9e7-424f-b9ef-6922d5621819"
},
{
"code": "sample string 1",
"id": "4e79e357-c9e7-424f-b9ef-6922d5621819"
}
],
"isFromWpf": true,
"sites": [
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "bdc5aaaf-acdc-4847-b97b-d2f8983f1a7d",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "50de9c44-22d3-433f-a8be-e00a80cc2a03",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "67bfbed0-2180-48b1-800e-e1b591d0f5eb",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
},
{
"active": true,
"address": "sample string 1",
"site_analysis_count": 1,
"city": "sample string 2",
"country": "sample string 3",
"customer_id": "bdc5aaaf-acdc-4847-b97b-d2f8983f1a7d",
"dB_ip": "sample string 5",
"dB_name": "sample string 6",
"dB_password": "sample string 7",
"dB_user": "sample string 8",
"delay_between_scans": 9,
"id": "50de9c44-22d3-433f-a8be-e00a80cc2a03",
"ph_max": 1,
"ph_min": 1,
"name": "sample string 11",
"number": 1,
"selected_sticker_id": "67bfbed0-2180-48b1-800e-e1b591d0f5eb",
"wash_temp": 1,
"wash_temp_duration": 1,
"witness_maxwash": 1,
"zip_code": "sample string 12"
}
],
"locks": [
{
"id": "5655a5df-9bea-47fe-9705-793aaa8e15a4",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "39134a9e-a051-4a4a-ad60-55a60b140185",
"guard_id": "a6ced252-be68-4ef9-a4e5-fb756cb85c60",
"active": true
},
{
"id": "5655a5df-9bea-47fe-9705-793aaa8e15a4",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "39134a9e-a051-4a4a-ad60-55a60b140185",
"guard_id": "a6ced252-be68-4ef9-a4e5-fb756cb85c60",
"active": true
}
],
"clearOperatorPassword": true,
"active": true,
"admin": true,
"badge_tag_id": "sample string 9",
"cell_phone": "sample string 10",
"customer_id": "ac83f2aa-139a-40e4-8c17-5c743e27043d",
"firstname": "sample string 11",
"id": "f88da132-618c-4faf-9417-a272bc03049c",
"language_code": "sample string 13",
"lastname": "sample string 14",
"mail": "sample string 15",
"operator_code": "sample string 16",
"operator_password": "sample string 17",
"phone": "sample string 18",
"webapp_password_last_update": "2026-09-25T21:09:16.9153915+00:00",
"role_id": "502a67b6-a990-46ab-b7d8-5e3dbb781432"
}
application/xml, text/xml
Sample:
<user xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<admin>true</admin>
<badge_tag_id>sample string 9</badge_tag_id>
<cell_phone>sample string 10</cell_phone>
<customer_id>ac83f2aa-139a-40e4-8c17-5c743e27043d</customer_id>
<firstname>sample string 11</firstname>
<id>f88da132-618c-4faf-9417-a272bc03049c</id>
<language_code>sample string 13</language_code>
<lastname>sample string 14</lastname>
<mail>sample string 15</mail>
<operator_code>sample string 16</operator_code>
<operator_password>sample string 17</operator_password>
<phone>sample string 18</phone>
<role_id>502a67b6-a990-46ab-b7d8-5e3dbb781432</role_id>
<webapp_password_last_update>2026-09-25T21:09:16.9153915+00:00</webapp_password_last_update>
<clearOperatorPassword>true</clearOperatorPassword>
<customer_name>sample string 1</customer_name>
<has_operator_password>true</has_operator_password>
<isFromWpf>true</isFromWpf>
<locks>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>39134a9e-a051-4a4a-ad60-55a60b140185</distribution_id>
<guard_id>a6ced252-be68-4ef9-a4e5-fb756cb85c60</guard_id>
<id>5655a5df-9bea-47fe-9705-793aaa8e15a4</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>39134a9e-a051-4a4a-ad60-55a60b140185</distribution_id>
<guard_id>a6ced252-be68-4ef9-a4e5-fb756cb85c60</guard_id>
<id>5655a5df-9bea-47fe-9705-793aaa8e15a4</id>
<name>sample string 2</name>
</lock>
</locks>
<rights>
<right>
<ID>4e79e357-c9e7-424f-b9ef-6922d5621819</ID>
<code>sample string 1</code>
</right>
<right>
<ID>4e79e357-c9e7-424f-b9ef-6922d5621819</ID>
<code>sample string 1</code>
</right>
</rights>
<sites>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>bdc5aaaf-acdc-4847-b97b-d2f8983f1a7d</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>50de9c44-22d3-433f-a8be-e00a80cc2a03</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>67bfbed0-2180-48b1-800e-e1b591d0f5eb</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
<site>
<DB_ip>sample string 5</DB_ip>
<DB_name>sample string 6</DB_name>
<DB_password>sample string 7</DB_password>
<DB_user>sample string 8</DB_user>
<active>true</active>
<address>sample string 1</address>
<city>sample string 2</city>
<country>sample string 3</country>
<customer_id>bdc5aaaf-acdc-4847-b97b-d2f8983f1a7d</customer_id>
<delay_between_scans>9</delay_between_scans>
<id>50de9c44-22d3-433f-a8be-e00a80cc2a03</id>
<name>sample string 11</name>
<number>1</number>
<ph_max>1</ph_max>
<ph_min>1</ph_min>
<selected_sticker_id>67bfbed0-2180-48b1-800e-e1b591d0f5eb</selected_sticker_id>
<site_analysis_count>1</site_analysis_count>
<wash_temp>1</wash_temp>
<wash_temp_duration>1</wash_temp_duration>
<witness_maxwash>1</witness_maxwash>
<zip_code>sample string 12</zip_code>
</site>
</sites>
<webapp_password>sample string 3</webapp_password>
<webapp_username>sample string 4</webapp_username>
</user>